<?php
use Elementor\Plugin;
use Elementor\Controls_Manager;
class Classiera_imageSlider_styles extends \Elementor\Widget_Base {
	public function get_name() {
		return 'classiera-staticslider-styles';
	}
	public function get_title() {
		return esc_html__( 'Classiera Image Slider', 'classiera-elementor' );
	}
	public function get_icon() {
		return 'eicon-banner';
	}
	public function get_categories() {
		return [ 'classiera' ];
	}
	protected function register_controls() {
		$this->start_controls_section(
			'setting_section',
			[
				'label' => __( 'Setting', 'classiera-elementor' ),
				'tab' => Controls_Manager::TAB_CONTENT,
			]
		);
		$this->add_control( 'layout_style', [
			'label'   => esc_html__( 'Static Header Banner', 'classiera-elementor' ),
			'type' => Controls_Manager::SELECT2,
			'options' => [
				's1'=> esc_html__( 'Style 1', 'classiera-elementor' ),
				's2'=> esc_html__( 'Style 2', 'classiera-elementor' ),
				's3'=> esc_html__( 'Style 3', 'classiera-elementor' ),
				's4'=> esc_html__( 'Style 4', 'classiera-elementor' ),
			],
			'default' => 's1',
		] );
		$this->end_controls_section();
	}
	protected function render() {
		$settings = $this->get_settings_for_display();
		$atts = array(			
			'layout' => $settings['layout_style'],			
		);
		/***********************
		convert to vars
		**********************/		
		$staticbannerStyle = $settings['layout_style'];
		switch ($staticbannerStyle) {
			case 's1':
				get_template_part( 'templates/slider/sliderv2' );
			break;	
			case 's2':
				get_template_part( 'templates/slider/sliderv3' );
			break;
			case 's3':
				get_template_part( 'templates/slider/sliderv4' );
			break;
			case 's4':
				get_template_part( 'templates/slider/sliderv5' );
			break;			
		}
	}
}