<?php
use Elementor\Plugin;
use Elementor\Controls_Manager;
class Classiera_locations_styles extends \Elementor\Widget_Base {
	public function get_name() {
		return 'classiera-locations-styles';
	}
	public function get_title() {
		return esc_html__( 'Classiera Locations', 'classiera-elementor' );
	}
	public function get_icon() {
		return 'eicon-map-pin';
	}
	public function get_categories() {
		return [ 'classiera' ];
	}
	protected function register_controls() {
		$this->start_controls_section(
			'setting_section',
			[
				'label' => __( 'Setting', 'classiera-elementor' ),
				'tab' => Controls_Manager::TAB_CONTENT,
			]
		);
		$this->add_control( 'layout_style', [
			'label'   => esc_html__( 'Categories style', 'classiera-elementor' ),
			'type' => Controls_Manager::SELECT2,
			'options' => [
				's1'=> esc_html__( 'Style 1', 'classiera-elementor' ),
				's2'=> esc_html__( 'Style 2', 'classiera-elementor' ),
				's3'=> esc_html__( 'Style 3', 'classiera-elementor' ),
				's4'=> esc_html__( 'Style 4', 'classiera-elementor' ),
				's5'=> esc_html__( 'Style 5', 'classiera-elementor' ),
				's6'=> esc_html__( 'Style 6', 'classiera-elementor' ),
				's7'=> esc_html__( 'Style 7', 'classiera-elementor' ),
			],
			'default' => 's1',
		] );		
		$this->end_controls_section();
	}
	protected function render() {
		$settings = $this->get_settings_for_display();
		$atts = array(			
			'layout' => $settings['layout_style'],					
		);
		global $redux_demo;
		global $wp_rewrite;
		if( class_exists( 'Redux' )) {   
		   $redux_demo = get_option( 'redux_demo' );
		}
		$locShownBy = 'post_location';
		$homeLocCounter = 6;
		$locationCounter = true;
		if(isset($redux_demo)){			
			$locShownBy = $redux_demo['location-shown-by'];
			$homeLocCounter = $redux_demo['home-location-counter'];
			$locationCounter = $redux_demo['classiera_loc_post_counter'];
		}
		$locationTemplatePermalink = classiera_get_template_url('template-locations.php');
		if ($wp_rewrite->permalink_structure == ''){
		//we are using ?page_id
			$locationURL = $locationTemplatePermalink."&location=";
		}else{
		//we are using permalinks
			$locationURL = $locationTemplatePermalink."?location=";
		}
		/***********************
		convert to vars
		**********************/	
		$locationsStyle = $settings['layout_style'];
		switch ($locationsStyle) {
			case 's1':
				?>
			<section class="locations section-pad border-bottom">
				<div class="location-content">
					<div class="container">
						<div class="row">
						<?php 
						/*Get Locations Data Start */
						$args_location = array( 'posts_per_page' => -1 );
						$lastposts = get_posts( $args_location );
						$all_post_location = array();
						foreach( $lastposts as $post ) {
							$all_post_location[] = get_post_meta( $post->ID, $locShownBy, true );
						}
						//print_r($all_post_location);
						$directors = array_unique($all_post_location);
						$count = 0;
						foreach ($directors as $director) {				
							if(!empty($director) && $count <= $homeLocCounter){
						/*Get Locations Data End */
						?>
							<div class="col-sm-6 col-md-6 col-lg-3">
								<div class="location">
									<span class="location-icon" style="color: #b6d91a;">
										<i class="fas fa-map-marker-alt"></i>
										<span class="tip"></span>
									</span>
									<?php
									$args = array(
										'post_type' => 'post',
										'post_status' => 'publish',
										'posts_per_page' => -1,
										'meta_query' => array(								
											array(
												'key' => $locShownBy,
												'value' => $director,
												'type' => 'LIKE'
											),
										),
									);
									$myQuery = new WP_Query($args);
									$countposts = $myQuery->found_posts;
									?>
									<a href="<?php echo esc_url($locationURL); ?><?php echo esc_html($director); ?>">
										<span class="loc-head"><?php echo esc_html($director); ?></span>
										<?php if($locationCounter == true){ ?>
										<span>
											<?php echo esc_attr($countposts); ?>&nbsp;
											<?php esc_html_e( 'Ads posted', 'classiera-elementor' ); ?>
										</span>
										<?php } ?>
									</a>
								</div>
							</div>
						<?php 
						}$count++;
						}
						wp_reset_query(); ?>
						</div><!--row-->
					</div><!--container-->
				</div><!--location-content-->
			</section>
				<?php
			break;	
			case 's2':			
				?>
				<section class="locations section-pad section-bg border-bottom">
					<div class="location-content-v2">
						<div class="container">
							<div class="row">
								<?php 								
								$args_location = array( 'posts_per_page' => -1 );
								$lastposts = get_posts( $args_location );
								$all_post_location = array();
								foreach( $lastposts as $post ) {
									$all_post_location[] = get_post_meta( $post->ID, $locShownBy, true );
								}
								//print_r($all_post_location);
								$directors = array_unique($all_post_location);
								$count = 0;
								foreach ($directors as $director) {				
									if(!empty($director) && $count <= $homeLocCounter){
								/*Get Locations Data End */
							?>
								<div class="col-sm-3 col-md-3 col-lg-2 col-xs-6 match-height">
									<div class="location text-center border-bottom">
										<i class="fas fa-map-marker-alt fa-4x"></i>
										<?php
										$args = array(
											'post_type' => 'post',
											'post_status' => 'publish',
											'posts_per_page' => -1,
											'meta_query' => array(								
												array(
													'key' => $locShownBy,
													'value' => $director,
													'type' => 'LIKE'
												),
												$adstypeQuery,
											),
										);
										$myQuery = new WP_Query($args);
										$countposts = $myQuery->found_posts;
										?>
										<h5>
											<a href="<?php echo esc_url($locationURL); ?><?php echo esc_html($director); ?>">
											<?php echo esc_attr($director); ?>
											</a>
										</h5>
										<?php if($locationCounter == true){ ?>
											<p>
												<?php echo esc_attr($countposts); ?>&nbsp;
												<?php esc_html_e( 'Ads posted', 'classiera' ); ?>
											</p>
										<?php } ?>
									</div>
								</div>
							<?php } $count++;
							}?>
							<?php wp_reset_query(); ?>
							</div><!--row-->
						</div><!--container-->
					</div><!--location-content-v2-->
				</section>
				<?php
			break;
			case 's3':
				?>
				<section class="locations section-pad border-bottom">
					<div class="location-content-v3">
						<div class="container">
							<div class="row">
							<?php
							$args_location = array( 'posts_per_page' => -1 );
							$lastposts = get_posts( $args_location );
							$all_post_location = array();
							foreach( $lastposts as $post ) {
								$all_post_location[] = get_post_meta( $post->ID, $locShownBy, true );
							}
							//print_r($all_post_location);
							$directors = array_unique($all_post_location);
							$count = 0;
							foreach ($directors as $director) {				
								if(!empty($director) && $count <= $homeLocCounter){
							/*Get Locations Data End */
						?>
							<div class="col-sm-3 col-md-3 col-lg-2 col-xs-6">
								<div class="location border-bottom match-height">						
									<div class="location-content loc-icon">
										<i class="fas fa-map-marker-alt fa-4x"></i>
									</div>
									<?php
									$args = array(
										'post_type' => 'post',
										'post_status' => 'publish',
										'posts_per_page' => -1,
										'meta_query' => array(								
											array(
												'key' => $locShownBy,
												'value' => $director,
												'type' => 'LIKE'
											),
											$adstypeQuery,
										),
									);
									$myQuery = new WP_Query($args);
									$countposts = $myQuery->found_posts;
									?>
									<div class="location-content">
										<h5>
											<a href="<?php echo esc_url($locationURL); ?><?php echo esc_html($director); ?>">
												<?php echo esc_attr($director); ?>
											</a>
										</h5>
										<?php if($locationCounter == true){ ?>
										<p>
											<?php echo esc_attr($countposts); ?>&nbsp;
											<?php esc_html_e( 'Ads posted', 'classiera' ); ?>
										</p>
										<?php } ?>
									</div>
								</div>
							</div>
							<?php } $count++;
							}?>
							<?php wp_reset_query(); ?>
							</div><!--row-->
						</div><!--container-->
					</div><!--location-content-v3-->
				</section>
				<?php
			break;
			case 's4':
				?>
				<section class="locations locations-v5 section-pad-80 border-bottom">
					<div class="location-content-v5">
						<div class="container">
							<ul class="list-inline list-unstyled">
								<?php 								
								$args_location = array( 'posts_per_page' => -1 );
								$lastposts = get_posts( $args_location );
								$all_post_location = array();
								foreach( $lastposts as $post ) {
									$all_post_location[] = get_post_meta( $post->ID, $locShownBy, true );
								}
								//print_r($all_post_location);
								$directors = array_unique($all_post_location);
								$count = 1;
								foreach ($directors as $director) {				
									if(!empty($director) && $count < 7){
								/*Get Locations Data End */
							?>
								<li>			
									<div class="location-content match-height">						
										<i class="fas fa-map-marker-alt fa-4x"></i>
										<?php
										$args = array(
											'post_type' => 'post',
											'post_status' => 'publish',
											'posts_per_page' => -1,
											'meta_query' => array(								
												array(
													'key' => $locShownBy,
													'value' => $director,
													'type' => 'LIKE'
												),
												$adstypeQuery,
											),
										);
										$myQuery = new WP_Query($args);
										$countposts = $myQuery->found_posts;
										?>
										<h5>
											<a href="<?php echo esc_url($locationURL); ?><?php echo esc_html($director); ?>">
											<?php echo esc_attr($director); ?>
											</a>
										</h5>
									</div>
								</li>
							<?php 
								}
								$count++;
							}
							?>
							<?php wp_reset_query(); ?>
							</ul><!--ul-->
						</div><!--container-->
					</div><!--location-content-v5-->
				</section>
				<?php
			break;
			case 's5':
				?>
				<section class="locations locations-v6 section-pad">
					<div class="location-content-v6">
						<div class="container">
							<div class="row">
							<?php
							$classieraClass = 'col-lg-6';
							$args = array(
								'posts_per_page'   => $homeLocCounter,
								'post_type'        => 'countries',
								'suppress_filters' => false,
								'post_status'      => 'publish',
							);
							$classieraAllCountries =  get_posts( $args );
							if(!empty($classieraAllCountries)){
								$current = 1;
								foreach ( $classieraAllCountries as $country ){
									setup_postdata( $country );
									$countryName = $country->post_title;
									if($current == 1 || $current == 2){
										$classieraClass = 'col-lg-6';
									}elseif($current == 3 || $current == 4 || $current == 5){
										$classieraClass = 'col-lg-4';
									}
									if($current == 5){
										$current = 0;
									}
									?>
									<div class="<?php echo esc_attr($classieraClass);?> col-sm-6">
										<figure class="location">
											<?php echo get_the_post_thumbnail($country->ID);?>
											<figcaption>
											<div class="location-caption">
												<span><i class="fas fa-map-marker-alt"></i></span>
											</div><!--location-caption-->
											<div class="location-caption">
												<h4>
													<a href="<?php echo esc_url($locationURL.$countryName);?>">
														<?php echo esc_attr($countryName); ?>
													</a>
												</h4>
												<p>
												<?php
												$countargs = array(
													'posts_per_page'   => -1,
													'post_type'        => 'post',
													'post_status'      => 'publish',
													'suppress_filters' => true,
													'meta_query' => array(
														array(
															'key' => 'post_location',
															'value' => $countryName,
														),
														$adstypeQuery,
													)
												);
												$classieraAllPCount =  get_posts($countargs);
												$totalPosts = count($classieraAllPCount);
												if($locationCounter == true){
												?>
												<?php echo esc_attr($totalPosts); ?>&nbsp;<?php esc_html_e( 'ads posted in this location', 'classiera' ); ?>
												<?php } ?>
												</p>
												<a href="<?php echo esc_url($locationURL.$countryName);?>"><?php esc_html_e( 'View all ads', 'classiera' ); ?> <i class="fas fa-long-arrow-alt-<?php if(is_rtl()){echo "left";}else{echo "right";}?>"></i></a>
											</div><!--location-caption-->
											</figcaption>
										</figure>
									</div>
									<?php
									$current++;
								}								
							}
							wp_reset_query();
							wp_reset_postdata();
							?>
							</div><!--row-->
						</div><!--container-->
					</div><!--location-content-v6-->
				</section>
				<?php
			break;
			case 's6':
				?>
				<section class="locations section-pad border-bottom">
					<div class="location-content-v2">
						<div class="container">
							<div class="row">
								<?php 
								$args_location = array( 'posts_per_page' => -1 );
								$lastposts = get_posts( $args_location );
								$all_post_location = array();
								foreach( $lastposts as $post ) {
									$all_post_location[] = get_post_meta( $post->ID, $locShownBy, true );
								}
								//print_r($all_post_location);
								$directors = array_unique($all_post_location);
								$count = 0;
								foreach ($directors as $director) {				
									if(!empty($director) && $count <= $homeLocCounter){
								/*Get Locations Data End */
							?>
							<div class="col-sm-3 col-md-3 col-lg-2 col-xs-6 match-height">
								<div class="location text-center border-bottom">
									<?php
									$args = array(
										'post_type' => 'post',
										'post_status' => 'publish',
										'posts_per_page' => -1,
										'meta_query' => array(								
											array(
												'key' => $locShownBy,
												'value' => $director,
												'type' => 'LIKE'
											),
											$adstypeQuery,
										),
									);
									$myQuery = new WP_Query($args);
									$countposts = $myQuery->found_posts;
									?>
									<h5>
										<a href="<?php echo esc_url($locationURL); ?><?php echo esc_html($director); ?>">
										<?php echo esc_attr($director); ?>
										</a>
									</h5>
									<?php if($locationCounter == true){ ?>
										<p>
											<?php echo esc_attr($countposts); ?>&nbsp;
											<?php esc_html_e( 'Ads posted', 'classiera' ); ?>
										</p>
									<?php } ?>
								</div>
							</div>
							<?php } $count++;
							}?>
							<?php wp_reset_query(); ?>
							</div><!--row-->
						</div><!--container-->
					</div><!--location-content-v2-->
				</section>
				<?php
			break;
			case 's7':
				?>
				<section class="minimal_location">
					<div class="container">
						<div class="row">
							<div class="col-lg-8 center-auto">
								<?php if(!empty($locationTitle)){ ?>
								<div class="minimal_section_heading">
									<h3><?php echo esc_html($locationTitle); ?></h3>
									<?php if(!empty($locationDesc)){ ?>
									<p><?php echo esc_html($locationDesc); ?></p>
									<?php } ?>
								</div>
								<?php } ?>
								<div class="minimal_location_content">
								<?php 
								$args_location = array( 'posts_per_page' => -1 );
								$lastposts = get_posts( $args_location );
								$all_post_location = array();
								foreach( $lastposts as $post ) {
									$all_post_location[] = get_post_meta( $post->ID, $locShownBy, true );
								}
								//print_r($all_post_location);
								$directors = array_unique($all_post_location);
								$count = 0;
								foreach ($directors as $director) {
									if(!empty($director) && $count <= $homeLocCounter){
										$args = array(
											'post_type' => 'post',
											'post_status' => 'publish',
											'posts_per_page' => -1,
											'meta_query' => array(								
												array(
													'key' => $locShownBy,
													'value' => $director,
													'type' => 'LIKE'
												),
											),
										);
										$myQuery = new WP_Query($args);
										$countposts = $myQuery->found_posts;
								?>
									<a href="<?php echo esc_url($locationURL); ?><?php echo esc_html($director); ?>">
										<h5><?php echo esc_html($director); ?></h5>
										<span>
											<?php echo esc_attr($countposts); ?>&nbsp;
											<?php esc_html_e( 'Ads posted', 'classiera' ); ?>
										</span>
									</a>
								<?php 
									}
								}
								?>
								</div><!--minimal_location_content-->
							</div><!--col-lg-8-->
						</div><!--row-->
					</div><!--container-->
				</section>
				<?php
			break;			
		}
	}
}