<?php
use Elementor\Plugin;
use Elementor\Controls_Manager;
class Classiera_Plans_styles extends \Elementor\Widget_Base {
	public function get_name() {
		return 'classiera-plans-styles';
	}
	public function get_title() {
		return esc_html__( 'Classiera Plans', 'classiera-elementor' );
	}
	public function get_icon() {
		return 'eicon-price-list';
	}
	public function get_categories() {
		return [ 'classiera' ];
	}
	protected function register_controls() {
		$this->start_controls_section(
			'setting_section',
			[
				'label' => __( 'Setting', 'classiera-elementor' ),
				'tab' => Controls_Manager::TAB_CONTENT,
			]
		);		
		$this->add_control( 'layout_style', [
			'label'   => esc_html__( 'Plans style', 'classiera-elementor' ),
			'type' => Controls_Manager::SELECT2,
			'options' => [
				's1'=> esc_html__( 'Style 1', 'classiera-elementor' ),
				's2'=> esc_html__( 'Style 2', 'classiera-elementor' ),
				's3'=> esc_html__( 'Style 3', 'classiera-elementor' ),
				's4'=> esc_html__( 'Style 4', 'classiera-elementor' ),
				's5'=> esc_html__( 'Style 5', 'classiera-elementor' ),
				's6'=> esc_html__( 'Style 6', 'classiera-elementor' ),
				's7'=> esc_html__( 'Style 7', 'classiera-elementor' ),
			],
			'default' => 's1',
		] );
		$this->end_controls_section();
	}
	protected function render() {
		$settings = $this->get_settings_for_display();
		$atts = array(			
			'layout' => $settings['layout_style'],			
		);
		/***********************
		convert to vars
		**********************/		
		$plansStyle = $settings['layout_style'];
		switch ($plansStyle) {
			case 's1':
				require_once WPCE_PLUGIN_INCLUDES_DIR . 'plans/plansv1.php';
			break;	
			case 's2':
				require_once WPCE_PLUGIN_INCLUDES_DIR . 'plans/plansv2.php';
			break;
			case 's3':
				require_once WPCE_PLUGIN_INCLUDES_DIR . 'plans/plansv3.php';
			break;
			case 's4':
				require_once WPCE_PLUGIN_INCLUDES_DIR . 'plans/plansv4.php';
			break;
			case 's5':
				require_once WPCE_PLUGIN_INCLUDES_DIR . 'plans/plansv5.php';
			break;
			case 's6':
				require_once WPCE_PLUGIN_INCLUDES_DIR . 'plans/plansv6.php';
			break;
			case 's7':
				require_once WPCE_PLUGIN_INCLUDES_DIR . 'plans/plansv7.php';
			break;			
		}
	}
}