<?php
use Elementor\Plugin;
use Elementor\Controls_Manager;
class Classiera_searchbar_styles extends \Elementor\Widget_Base {
	public function get_name() {
		return 'classiera-searchbar-styles';
	}
	public function get_title() {
		return esc_html__( 'Classiera Search bar', 'classiera-elementor' );
	}
	public function get_icon() {
		return 'eicon-search';
	}
	public function get_categories() {
		return [ 'classiera' ];
	}
	protected function register_controls() {
		$this->start_controls_section(
			'setting_section',
			[
				'label' => __( 'Setting', 'classiera-elementor' ),
				'tab' => Controls_Manager::TAB_CONTENT,
			]
		);
		$this->add_control( 'layout_style', [
			'label'   => esc_html__( 'Search style', 'classiera-elementor' ),
			'type' => Controls_Manager::SELECT2,
			'options' => [
				's1'=> esc_html__( 'Style 1', 'classiera-elementor' ),
				's2'=> esc_html__( 'Style 2', 'classiera-elementor' ),
				's3'=> esc_html__( 'Style 3', 'classiera-elementor' ),
				's4'=> esc_html__( 'Style 4', 'classiera-elementor' ),
				's5'=> esc_html__( 'Style 5', 'classiera-elementor' ),
				's6'=> esc_html__( 'Style 6', 'classiera-elementor' ),
				's7'=> esc_html__( 'Style 7', 'classiera-elementor' ),
				's8'=> esc_html__( 'Minimal Style', 'classiera-elementor' ),
			],
			'default' => 's1',
		] );
		$this->end_controls_section();
	}
	protected function render() {
		$settings = $this->get_settings_for_display();
		$atts = array(			
			'layout' => $settings['layout_style'],			
		);
		/***********************
		convert to vars
		**********************/		
		$searchStyle = $settings['layout_style'];
		switch ($searchStyle) {
			case 's1':
				get_template_part( 'templates/searchbar/searchstyle1' );
			break;	
			case 's2':
				get_template_part( 'templates/searchbar/searchstyle2' );
			break;
			case 's3':
				get_template_part( 'templates/searchbar/searchstyle3' );
			break;
			case 's4':
				get_template_part( 'templates/searchbar/searchstyle4' );
			break;
			case 's5':
				get_template_part( 'templates/searchbar/searchstyle5' );
			break;
			case 's6':
				get_template_part( 'templates/searchbar/searchstyle6' );
			break;
			case 's7':
				get_template_part( 'templates/searchbar/searchstyle7' );
			break;
			case 's8':
				get_template_part( 'templates/searchbar/searchminimal' );
			break;
		}
	}
}