<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:v="urn:schemas-microsoft-com:vml" xmlns:o="urn:schemas-microsoft-com:office:office">
<head>
	<!--[if gte mso 9]>
	<xml>
		<o:OfficeDocumentSettings>
		<o:AllowPNG/>
		<o:PixelsPerInch>96</o:PixelsPerInch>
		</o:OfficeDocumentSettings>
	</xml>
	<![endif]-->
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta name="x-apple-disable-message-reformatting">
	<!--[if !mso]><!--><meta http-equiv="X-UA-Compatible" content="IE=edge"><!--<![endif]-->
    <title><?php wp_title( '|', true, 'right' ); ?></title>
    <!-- fonts -->
	<!--[if !mso]><!--><link href="https://fonts.googleapis.com/css?family=Rubik:400,700&display=swap" rel="stylesheet" type="text/css"><!--<![endif]-->
    <!--[if !mso]><!--><link href="https://fonts.googleapis.com/css?family=Ubuntu:400,400i,500,500i,700,700i&display=swap" rel="stylesheet" type="text/css"><!--<![endif]-->
    <!--[if !mso]><!--><link href="https://fonts.googleapis.com/css?family=Lato:400,400i,700,700i,900,900i&display=swap" rel="stylesheet" type="text/css">
	<!--<![endif]-->
    <style type="text/css">
        body{
            margin: 0;
            padding: 0;
        }
        .primary-color{
            color: #b6d91a !important;
        }
        .classiera-email-social-icon:hover{
            background: #b6d91a !important;
            color: #ffffff;
        }
        @media only screen and (min-width: 640px) {
            .classiera-email-content{
                width: 600px !important;
                margin: 0 auto !important;
            }
        }
        @media only screen and (max-width: 630px) {
            .classiera-email-content{
                width: 100% !important;
                text-align: center !important;
            }
            .classiera-column-3{
                width: 100% !important;
                margin-bottom: 10px !important;
                text-align: center !important;
            }
            .classiera-column-6{
                width: 100% !important;
                text-align: center !important;
            }
        }
        @media only screen and (min-width: 640px) and (max-width: 768px) {
            .classiera-column-3{
                width: 33% !important;
            }
            .classiera-column-6{
                width: 32% !important;
            }
        }		
		@media only screen and (min-width: 620px) {
			.u-row {
				width: 600px !important;
			}
			.u-row .u-col {
				vertical-align: top;
			}
			.u-row .u-col-100 {
				width: 600px !important;
			}
		}
		@media (max-width: 620px) {
			.u-row-container {
				max-width: 100% !important;
				padding-left: 0px !important;
				padding-right: 0px !important;
			}
			.u-row .u-col {
				min-width: 320px !important;
				max-width: 100% !important;
				display: block !important;
			}
			.u-row {
				width: calc(100% - 40px) !important;
			}
			.u-col {
				width: 100% !important;
			}
			.u-col > div {
				margin: 0 auto;
			}			
		}
		table,
		tr,
		td {
			vertical-align: top;
			border-collapse: collapse;
		}
		p {
		  margin: 0;
		}
		.ie-container table,
		.mso-container table {
			table-layout: fixed;
		}
		* {
			line-height: inherit;
		}
		a[x-apple-data-detectors='true'] {
			color: inherit !important;
			text-decoration: none !important;
		}
		table, td {
			color: #000000;
		}
		a {
			color: #0000ee;
			text-decoration: underline;
		}
		@media (max-width: 480px) {
			#u_content_heading_1 .v-container-padding-padding {
				padding: 40px 10px 10px !important;
			}
			#u_content_heading_1 .v-font-size {
			font-size: 26px !important;
			}
			#u_content_text_1 .v-container-padding-padding {
				padding: 25px 30px 10px !important;
			}
			#u_content_text_1 .v-text-align {
				text-align: center !important;
			}
			#u_content_button_1 .v-container-padding-padding {
				padding: 10px 10px 35px !important;
			}
			#u_content_button_1 .v-size-width {
				width: 60% !important;
			} 
			#u_content_button_1 .v-text-align {
				text-align: center !important;
			}
		}
    </style>
</head>	
<body class="clean-body u_body" style="margin: 0;padding: 0;-webkit-text-size-adjust: 100%;background-color: #ffffff;color: #000000">
	<!--[if IE]><div class="ie-container"><![endif]-->
	<!--[if mso]><div class="mso-container"><![endif]-->
	<?php 
		global $redux_demo;
		$classieraEmailTopbar = true;
		if( class_exists( 'Redux' )) {   
		   $redux_demo = get_option( 'redux_demo' );
		}		
		$classieraEmail = $redux_demo['contact-email'];
		$classieraEmailTopbar = $redux_demo['classiera_email_topbar'];
		$classieraPhone = $redux_demo['contact-phone'];
		$classieraFacebook = $redux_demo['facebook-link'];
		$classieraTwitter = $redux_demo['twitter-link'];
		$classieraGoogle = $redux_demo['google-plus-link'];
		$classieralogo = $redux_demo['classiera_email_logo']['url'];
		$blog_title = get_bloginfo('name');
	?>
	<div style="width: 100%;">
		<?php if($classieraEmailTopbar == true){?>
		<div class="classiera-email-topbar" style="background:#232323; padding: 5px 30px;">
            <div class="classiera-column-3" style="width: 25%; display: inline-block;">
				<?php $emailIMG = get_template_directory_uri() . '/images/social/email.png'; ?>
				<img src="<?php echo esc_url($emailIMG); ?>" style="width:11px; padding-right: 15px;" alt="email">
                <span style="color: #aaaaaa; font-size:12px; font-family: 'Lato', sans-serif;">
					<?php echo sanitize_email($classieraEmail); ?>
				</span>
            </div>
            <div class="classiera-column-3" style="width: 25%; display: inline-block;">
				<?php $phoneIMG = get_template_directory_uri() . '/images/social/phone.png'; ?>
                <img src="<?php echo esc_url($phoneIMG); ?>" style="width:11px; padding-right: 15px;" alt="phone">
                <a href="tel:<?php echo esc_html($classieraPhone); ?>" style="text-decoration: none; color: #aaaaaa; font-size:12px; font-family: 'Lato', sans-serif;"><?php echo esc_html($classieraPhone); ?></a>
            </div>
            <div class="classiera-column-6" style="width: 48%; display: inline-block; text-align: right;">
				<?php if(!empty($classieraFacebook)){?>
				<?php $facebookIMG = get_template_directory_uri() . '/images/social/facebook.png'; ?>
                <a class="classiera-email-social-icon" href="<?php echo esc_url($classieraFacebook); ?>" style="background: #444444; height: 30px; width: 30px; text-align: center; display: inline-block; line-height:30px;">
                    <img src="<?php echo esc_url($facebookIMG); ?>" style="width:11px;" alt="facebook">
                </a>
				<?php } ?>
				<?php if(!empty($classieraTwitter)){?>
				<?php $twiiterIMG = get_template_directory_uri() . '/images/social/twiiter.png'; ?>
                <a class="classiera-email-social-icon" href="<?php echo esc_url($classieraTwitter); ?>" style="background: #444444; height: 30px; width: 30px; text-align: center; display: inline-block; line-height:30px;">
                    <img src="<?php echo esc_url($twiiterIMG); ?>" style="width:11px;" alt="twitter">
                </a>
				<?php } ?>
				<?php if(!empty($classieraGoogle)){?>
				<?php $googleIMG = get_template_directory_uri() . '/images/social/google-plus.png'; ?>
                <a class="classiera-email-social-icon" href="<?php echo esc_url($classieraGoogle); ?>" style="background: #444444; height: 30px; width: 30px; text-align: center; display: inline-block; line-height:30px;">
                    <img src="<?php echo esc_url($googleIMG); ?>" style="width:11px;" alt="google">
                </a>
				<?php } ?>
            </div>
        </div>
		<?php } ?>
		<div class="classiera-email-logo" style="width: 100%; background: #fff; text-align: center; padding: 25px 0; box-shadow: 0 4px 2px -2px rgba(0, 0, 0, 0.15);">
            <img src="<?php echo esc_url($classieralogo); ?>" alt="<?php echo esc_html($blog_title); ?>">
        </div>